I have been spending a lot of time to try to find a solution to the problem where GIMP 2.8 64-bit with Ghostscript cannot open EPS images.

After the “Import from PostScript” dialog you will get an error similar to: Could not interpret Postscript file ‘C:\logo.eps’ Opening ‘C:\logo.eps’ failed

The answer to this problem can be found in this bug report (thanks to Jako Grobler) but this is the short version.

Starting with GIMP 2.8.x you no longer need to install Ghostscript to be able to open EPS images, instead the dll is in included with the GIMP-installation. This means  you can forget about the instructions about setting the GS_PROG environment variable, trying to switch between 32-bit and 64-bit versions etc.
However at least up until the latest version of GIMP (2.8.4) there is something wrong with the included dll.

Solution

So this is the solution:

  1. If you have not already, download and install Ghostscript 64-bit
  2. Copy gsdll64.dll from your Ghostscript bin folder (Eg: C:\Program Files\gs\gs9.07\bin\) to the GIMP bin folder (Eg: C:\Program Files\GIMP 2\bin\)
  3. In the GIMP bin folder first a) Rename the file libgs-8.dll to libgs-8.old, and then b) Rename gsdll64.dll to libgs-8.dll
  4. Restart GIMP and opening EPS images should now work

Tried on Windows 7 64-bit with GIMP 2.8.4 64-bit and Ghostscript 9.07 64-bit